import request from "@/utils/request";

// 查询推广链接列表
export const queryShareRecord = () => {
  return request({
    url: "/app/share/queryShareRecord",
    method: "get",
  });
};

// 查询账户类型列表
export const queryShareMtTypeList = (query) => {
  return request({
    url: "/app/share/queryShareMtTypeList",
    method: "get",
    params: query
  });
};

// 查询系统设置的推广链接
export const querySysShareList = () => {
  return request({
    url: "/app/share/querySysShareList",
    method: "get",
  });
};

// 保存推广链接接口
export const saveShareRecord = (data) => {
  return request({
    url: "/app/share/saveShareRecord",
    method: "post",
    data: data
  });
};

// 删除推广链接接口
export const delShareRecord = (data) => {
  return request({
    url: "/app/share/delShareRecord",
    method: "post",
    data: data
  });
};